use utf8;
binmode STDIN, ":utf8";
binmode STDOUT, ":utf8";
my %s = (
    '' => '',
    '〈' => '&#60;',
    '＜' => '&#60;',
    '〉' => '&#62;',
    '＞' => '&#62;',
    '“' => '&#34;',
    '”' => '&#34;',
    '″' => '&#34;',
    '゛' => '&#34;',
    'ﾞ'  => '&#34;',
    '＆' => '&#38;',
    'À' => 'A',
    'Á' => 'A',
    'Â' => 'A',
    'Ã' => 'A',
    'Ä' => 'A',
    'Å' => 'A',
    'Ā' => 'A',
    'Æ' => 'AE',
    'à' => 'a',
    'á' => 'a',
    'â' => 'a',
    'ã' => 'a',
    'ä' => 'a',
    'å' => 'a',
    'ā' => 'a',
    'æ' => 'ae',
    'Ç' => 'C',
    'ç' => 'c',
    'Ð' => 'D',
    'È' => 'E',
    'É' => 'E',
    'Ê' => 'E',
    'Ë' => 'E',
    'Ē' => 'E',
    'è' => 'e',
    'é' => 'e',
    'ê' => 'e',
    'ë' => 'e',
    'ē' => 'e',
    'Ì' => 'I',
    'Í' => 'I',
    'Î' => 'I',
    'Ï' => 'I',
    'Ī' => 'I',
    'ì' => 'i',
    'í' => 'i',
    'î' => 'i',
    'ï' => 'i',
    'ī' => 'i',
    'Ñ' => 'N',
    'ñ' => 'n',
    'Ò' => 'O',
    'Ó' => 'O',
    'Ô' => 'O',
    'Õ' => 'O',
    'Ö' => 'O',
    'Ø' => 'O',
    'Ō' => 'O',
    'Œ' => 'OE',
    'õ' => 'o',
    'ò' => 'o',
    'ó' => 'o',
    'ô' => 'o',
    'ö' => 'o',
    'ø' => 'o',
    'ō' => 'o',
    'œ' => 'oe',
    'Ş' => 'S',
    'ş' => 's',
    'Ù' => 'U',
    'Ú' => 'U',
    'Û' => 'U',
    'Ü' => 'U',
    'Ū' => 'U',
    'ù' => 'u',
    'ú' => 'u',
    'û' => 'u',
    'ü' => 'u',
    'ū' => 'u',
    'Ý' => 'Y',
    'ý' => 'y',
    'ÿ' => 'y',
);

for my $key (keys %s) {
    die "$0: \%s のキーは一文字のみ" if length($key) != 1;
}
my $list = join '', keys %s;
my $regex = qr/[$list]/;

while (<>) {
    s/$regex/$s{$&}/g;
    print;
}
